<?xml version="1.0" encoding="UTF-8"?>
<!-- Author: Jesús Martín Berlanga -->
<nifty xmlns="http://nifty-gui.sourceforge.net/nifty-1.3.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://nifty-gui.sourceforge.net/nifty-1.3.xsd http://nifty-gui.sourceforge.net/nifty-1.3.xsd">
  <useStyles filename="nifty-default-styles.xml" />
  <useControls filename="nifty-default-controls.xml" />
    
  <!-- +++++++++++++++++++++++++++++++++++++++ -->
  <!-- start screen -->
  <!-- +++++++++++++++++++++++++++++++++++++++ -->
  <screen id="start" controller="rottShortcut.graphical.screens.StartScreen">
    <layer id="layer" childLayout="center">
        
      <panel id="panel" height="15%" width="35%" align="left" 
             valign="top" backgroundColor="#0008"  
             marginLeft="3%" marginTop="3%"
             childLayout="vertical" visibleToMouse="true">
          
              <panel id="panel_or" height="33%" width="100%" align="left" valign="center" childLayout="horizontal">
                  <text text="Origin" font="Interface/Fonts/Default.fnt" width="30%" height="120%" />
                  <panel id="panel_orc" height="40%" width="70%" align="center" valign="center" childLayout="horizontal">
                    <control id="oDropDown" width="100%" height="100%" name="dropDown" displayItems="15" />
                  </panel>
              </panel>
 
              <panel id="panel_de" height="33%" width="100%" align="left" valign="center" childLayout="horizontal">
                 <text text="Destination" font="Interface/Fonts/Default.fnt" width="30%" height="120%" />
                 <panel id="panel_dec" height="40%" width="70%" align="center" valign="center" childLayout="center">
                    <control id="dDropDown" width="100%" height="100%" name="dropDown" displayItems="15" />
                 </panel>
              </panel>
              
              <panel id="panel_but" height="33%" width="100%" align="center" valign="center" childLayout="center">
                <control name="button" label="Travel" id="tbutton"
                         height="70%" width="50%">
                     <interact onClick="travel()"/>
                </control>
              </panel>
      </panel>
      
      <panel id="hintText" height="4%" width="70%" align="center" 
             valign="bottom" backgroundColor="#0008"  
             marginBottom="3%"
             childLayout="vertical" visibleToMouse="true">
                  <text 
                      text="Left Mouse: Camera rotation. Move with WASD." 
                      font="Interface/Fonts/Default.fnt" 
                      width="100%" height="50%"
                        align="center" 
                        valign="center"/>
      </panel>
      
    </layer>
  </screen>
</nifty>
